%define anolis_release 2

Name:           perl-Mail-Sender
Version:        0.903
Epoch:          1
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
Summary:        Module for sending mails with attachments through an SMTP server
URL:            https://metacpan.org/release/Mail-Sender
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/Mail-Sender-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils findutils make
BuildRequires:  perl-interpreter perl-generators perl(base) perl(Carp)
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(Encode) perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(IO::Handle) perl(IO::Socket::INET) perl(MIME::Base64)
BuildRequires:  perl(MIME::QuotedPrint) perl(Socket) perl(strict)
BuildRequires:  perl(Symbol) perl(Test::More) >= 0.88 perl(Tie::Handle)
BuildRequires:  perl(Time::Local) perl(Try::Tiny) >= 0.24 perl(warnings)

%description
Mail::Sender provides an object-oriented interface to sending mails.
It directly connects to the mail server using IO::Socket.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Mail-Sender-%{version}
%{__perl} -pi -e 's/\r\n/\n/' README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} < /dev/null

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name Win32.pm -delete
chmod -R u+w %{buildroot}/*


%check
make test

%files
%{_mandir}/man3/*.3pm*
%{perl_vendorlib}/Mail/

%files doc
%doc Changes README

%changelog
* Fri Apr 14 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1:0.903-2
- Refact spec

* Wed Feb 15 2023 happy_orange <songnannan@linux.alibaba.com> - 1:0.903-1
- package import to anolis23
